QGIS Application - Bug report #14238
Processing v.surf.rst / v.surf.rst.line not working
2016-02-05 06:46 AM - Pedro Venancio

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GRASS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22235
Description

Processing GRASS modules v.surf.rst / v.surf.rst.line don't work, both with GRASS6 or GRASS7.

The log message:

Algorithm v.surf.rst.line - Spatial approximation and topographic analysis using regularized spline with tension. starting...
g.proj -c proj4="+proj=tmerc +lat_0=39.66825833333333 +lon_0=-8.133108333333334 +k=1 +x_0=0 +y_0=0 +ellps=GRS80
+towgs84=0,0,0,0,0,0,0 +units=m +no_defs"

v.in.ogr min_area=0.0001 snap=-1 dsn="/home/pedro/SIG/Testes/CNFinal" layer="CNfinal_sample" output=tmp1454683157134
--overwrite -0

g.region n=134611.252663 s=133245.488458 €=73164.2735396 w=71504.4906524 res=20

v.surf.rst input="tmp1454683157134" zcolumn="ELEVATION" tension="40" segmax="40" npmin="300" dmin="0.5" dmax="2.5"
zmult="1" theta="0" scalex="0" elev=elevdcc5a11acccadbe3b5aded058aec2f1b
slope=slopedcc5aiiacccadbe3b5aded058aec2f1b aspect=aspectdcc5aliacccadbe3db5aded058aec2f1b
pcurv=pcurvdccb5al1acccadbe3b5aded058aec2f1b tcurv=tcurvdcc5al 1acccadbe3b5aded058aec2f1b
mcurv=mcurvdcc5al1acccadbe3b5aded058aec2f1b --overwrite

g.region rast=elevdcc5a11acccadbe3b5aded058aec2f1b

r.out.gdal -c createopt="TFW=YES,COMPRESS=LZW" input=elevdcc5a11acccadbe3b5aded058aec2f1b
output="/home/pedro/SIG/Testes/CNFinal/test.tif"

g.region rast=slopedcc5a11acccadbe3b5aded058aec2f1b

r.out.gdal -c createopt="TFW=YES,COMPRESS=LZW" input=slopedcc5a1l1acccadbe3b5aded058aec2f1b
output="/tmp/processingbe93564e8ce2457b9646e9d175ad31cd/c2444c08a20649938abd323659f35f1c/slope. tif"
g.region rast=aspectdcc5aliacccadbe3b5aded058aec2f1b

r.out.gdal -c createopt="TFW=YES,COMPRESS=LZW" input=aspectdcc5al1acccadbe3b5aded058aec2f1b
output="/tmp/processingbe93564e8ce2457b9646e9d175ad31cd/7a4cb0683d784e2f927dcb262230bedb/aspect.tif"
g.region rast=pcurvdcc5aiiacccad4be3b5aded058aec2f1b

r.out.gdal -c createopt="TFW=YES,COMPRESS=LZW" input=pcurvdcc5al1accca4be3b5aded058aec2f1b
output="/tmp/processingbe93564e8ce2457b9646e9d175ad31cd/188e99fb373b49eabdb1e48368ede32f/pcury.tif"
g.region rast=tcurvdcc5a11acccadbe3b5aded058aec2f1b

r.out.gdal -c createopt="TFW=YES,COMPRESS=LZW" input=tcurvdcc5a11accca4be3b5aded058aec2f1b
output="/tmp/processingbe93564e8ce2457b9646e9d175ad31cd/75eb02c2fb01464e9c6cf26ee690c9d9/tcury. tif"
g.region rast=mcurvdcc5a11acccadbe3b5aded058aec2f1b

r.out.gdal -c createopt="TFW=YES,COMPRESS=LZW" input=mcurvdcc5a11accca4be3b5aded058aec2f1b
output="/tmp/processingbe93564e8ce2457b9646e9d175ad31cd/21dd6a7be100411684de1cfc6078e06¢c/mcurv.tif"
GRASS commands output:

Cleaning up temporary files ...

Starting GRASS ...

Executing '/home/pedro/.qgis2//processing/grass_batch_job.sh' ...

Welcome to GRASS 6.4.3 (2013)
GRASS_INFO_MESSAGE(4024,1): Default region was updated to the new projection, but if you have multiple mapsets ‘g.region

-d" should be run in each to update the region from the default
GRASS_INFO_END(4024,1)

GRASS_INFO_MESSAGE(4024,2): Projection information updated
GRASS_INFO_END(4024,2)

GRASS_INFO_MESSAGE(4025,1): Over-riding projection check
GRASS_INFO_END(4025,1)

GRASS_INFO_MESSAGE(4025,2): Layer: CNfinal_sample
GRASS_INFO_END(4025,2)

GRASS_INFO_MESSAGE(4025,3): Counting polygons for 43 features...

GRASS_INFO_END(4025,3)

GRASS_INFO_MESSAGE(4025,4): Importanto feiA§Apes do mapa 43...

GRASS_INFO_END(4025,4)

GRASS_INFO_MESSAGE(4025,5):
GRASS_INFO_END(4025,5)

GRASS_INFO_MESSAGE(4025,6): Building topology for vector map ...

GRASS_INFO_END(4025,6)

GRASS_INFO_MESSAGE(4025,7): Registering primitives...
GRASS_INFO_END(4025,7)

GRASS_INFO_MESSAGE(4025,8): 43 primitives registered
GRASS_INFO_END(4025,8)

GRASS_INFO_MESSAGE(4025,9): 3800 vertices registered
GRASS_INFO_END(4025,9)

GRASS_INFO_MESSAGE(4025,10): Number of nodes: 83
GRASS_INFO_END(4025,10)

GRASS_INFO_MESSAGE(4025,11): Number of primitives: 43
GRASS_INFO_END(4025,11)

GRASS_INFO_MESSAGE(4025,12): Number of points: 0
GRASS_INFO_END(4025,12)

GRASS_INFO_MESSAGE(4025,13): Number of lines: 43
GRASS_INFO_END(4025,13)

GRASS_INFO_MESSAGE(4025,14): Number of boundaries: 0
GRASS_INFO_END(4025,14)

GRASS_INFO_MESSAGE(4025,15): Number of centroids: 0
GRASS_INFO_END(4025,15)

GRASS_INFO_MESSAGE(4025,16): Number of areas: -
GRASS_INFO_END(4025,16)

GRASS_INFO_MESSAGE(4025,17): Number of isles: -
GRASS_INFO_END(4025,17)

GRASS_INFO_MESSAGE(4025,18): Building topology for vector map ...

GRASS_INFO_END(4025,18)

GRASS_INFO_MESSAGE(4025,19): Registering primitives...
GRASS_INFO_END(4025,19)

GRASS_INFO_MESSAGE(4025,20): 43 primitives registered
GRASS_INFO_END(4025,20)

GRASS_INFO_MESSAGE(4025,21): 3800 vertices registered
GRASS_INFO_END(4025,21)

GRASS_INFO_MESSAGE(4025,22): Building areas...
GRASS_INFO_END(4025,22)

GRASS_INFO_MESSAGE(4025,23): 0 areas built
GRASS_INFO_END(4025,23)

GRASS_INFO_MESSAGE(4025,24): 0 isles built
GRASS_INFO_END(4025,24)

GRASS_INFO_MESSAGE(4025,25): Attaching islands...
GRASS_INFO_END(4025,25)

GRASS_INFO_MESSAGE(4025,26): Attaching centroids...
GRASS_INFO_END(4025,26)

GRASS_INFO_MESSAGE(4025,27): Number of nodes: 83
GRASS_INFO_END(4025,27)

GRASS_INFO_MESSAGE(4025,28): Number of primitives: 43
GRASS_INFO_END(4025,28)

GRASS_INFO_MESSAGE(4025,29): Number of points: 0
GRASS_INFO_END(4025,29)

GRASS_INFO_MESSAGE(4025,30): Number of lines: 43
GRASS_INFO_END(4025,30)

GRASS_INFO_MESSAGE(4025,31): Number of boundaries: 0
GRASS_INFO_END(4025,31)

GRASS_INFO_MESSAGE(4025,32): Number of centroids: 0
GRASS_INFO_END(4025,32)

GRASS_INFO_MESSAGE(4025,33): Number of areas: 0
GRASS_INFO_END(4025,33)
GRASS_INFO_MESSAGE(4025,34): Number of isles: 0
GRASS_INFO_END(4025,34)

GRASS_INFO_MESSAGE(4028,1): Porcentagem completada:
GRASS_INFO_END(4028,1)

GRASS_INFO_MESSAGE(4028,2): Reading features from vector map ...
GRASS_INFO_END(4028,2)
Points are too concentrated -- please increase DMIN

GRASS_INFO_ERROR(4030,1): Raster map not found
GRASS_INFO_END(4030,1)

GRASS_INFO_ERROR(4031,1): Raster map or group not found
GRASS_INFO_END(4031,1)

GRASS_INFO_ERROR(4032,1): Raster map not found
GRASS_INFO_END(4032,1)

GRASS_INFO_ERROR(4033,1): Raster map or group not found
GRASS_INFO_END(4033,1)

GRASS_INFO_ERROR(4034,1): Raster map not found
GRASS_INFO_END(4034,1)

GRASS_INFO_ERROR(4035,1): Raster map or group not found
GRASS_INFO_END(4035,1)

GRASS_INFO_ERROR(4036,1): Raster map not found
GRASS_INFO_END(4036,1)

GRASS_INFO_ERROR(4037,1): Raster map or group not found
GRASS_INFO_END(4037,1)

GRASS_INFO_ERROR(4038,1): Raster map not found
GRASS_INFO_END(4038,1)

GRASS_INFO_ERROR(4039,1): Raster map or group not found
GRASS_INFO_END(4039,1)

GRASS_INFO_ERROR(4040,1): Raster map not found
GRASS_INFO_END(4040,1)

GRASS_INFO_ERROR(4041,1): Raster map or group not found

GRASS_INFO_END(4041,1)

Closing monitors ...

Cleaning up temporary files ...

Batch job 'Yhome/pedro/.qgis2//processing/grass_batch_job.sh' (defined in GRASS_BATCH_JOB variable) was executed.
Goodbye from GRASS GIS

Cleaning up temporary files ...

Starting GRASS ...

Executing '/home/pedro/.qgis2//processing/grass_batch_job.sh' ...

Welcome to GRASS 6.4.3 (2013)

2025-04-27 4/6




GRASS_INFO_ERROR(4096,1): Raster map not found
GRASS_INFO_END(4096,1)

GRASS_INFO_ERROR(4097,1): Raster map or group not found
GRASS_INFO_END(4097,1)

GRASS_INFO_ERROR(4098,1): Raster map not found
GRASS_INFO_END(4098,1)

GRASS_INFO_ERROR(4099,1): Raster map or group not found
GRASS_INFO_END(4099,1)

GRASS_INFO_ERROR(4100,1): Raster map not found
GRASS_INFO_END(4100,1)

GRASS_INFO_ERROR(4101,1): Raster map or group not found
GRASS_INFO_END(4101,1)

GRASS_INFO_ERROR(4102,1): Raster map not found
GRASS_INFO_END(4102,1)

GRASS_INFO_ERROR(4103,1): Raster map or group not found
GRASS_INFO_END(4103,1)

GRASS_INFO_ERROR(4104,1): Raster map not found
GRASS_INFO_END(4104,1)

GRASS_INFO_ERROR(4105,1): Raster map or group not found
GRASS_INFO_END(4105,1)

GRASS_INFO_ERROR(4106,1): Raster map not found
GRASS_INFO_END(4106,1)

GRASS_INFO_ERROR(4107,1): Raster map or group not found

GRASS_INFO_END(4107,1)

Closing monitors ...

Cleaning up temporary files ...

Batch job 'Yhome/pedro/.qgis2//processing/grass_batch_job.sh' (defined in GRASS_BATCH_JOB variable) was executed.
Goodbye from GRASS GIS

Converting outputs

Loading resulting layers

The following layers were not correctly generated.

Interpolated RST

You can check the log messages to find more information about the execution of the algorithm
Looking at the log message, it says: Points are too concentrated -- please increase DMIN

I've tried many values for dmin, but | always got the same error.

Sample data attached.
History

#1 - 2016-02-08 02:09 PM - Giovanni Manghi

- Target version deleted (Version 2.14)

- Assignee changed from Victor Olaya to Giovanni Manghi
- Status changed from Open to Feedback

Hi Pedro, just tested with your dataset.... for me for example dmin=50 works fine (not tested other values).

#2 - 2016-02-09 06:24 AM - Pedro Venancio

- Status changed from Feedback to Closed

Hi Giovanni,

You are right, I've tested with several dmin values and it works with values from 17.

Testing the complete dataset this value needs to be increased further.

So | think that this is not actually a bug.

Sorry for the noise! Closing...

Files

sample_contour_lines.zip 49.6 KB 2016-02-05
